org.apache.maven.scm.provider.git.gitexe.command.info

## Class GitInfoConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.git.gitexe.command.info.GitInfoConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class GitInfoConsumer
    extends AbstractConsumer

Since:
  1.5
Author:
  Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`GitInfoConsumer(ScmLogger logger, ScmFileSet scmFileSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<InfoItem>` `getInfoItems()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitInfoConsumer

    public GitInfoConsumer(ScmLogger logger,
                           ScmFileSet scmFileSet)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

See Also:
  `StreamConsumer.consumeLine(java.lang.String)`

#### getInfoItems

    public List<InfoItem> getInfoItems()